freemarker.ext.util

## Interface WrapperTemplateModel

All Superinterfaces:
  TemplateModel

All Known Implementing Classes:
  ArrayModel, BeanModel, BooleanModel, CollectionModel, DateModel, DefaultArrayAdapter, DefaultIterableAdapter, DefaultIteratorAdapter, DefaultListAdapter, DefaultMapAdapter, DefaultNonListCollectionAdapter, EnumerationModel, IteratorModel, JythonHashModel, JythonModel, JythonNumberModel, JythonSequenceModel, MapModel, NodeModel, NumberModel, ResourceBundleModel, SimpleMapModel, StringModel

    public interface WrapperTemplateModel
    extends TemplateModel

A generic interface for template models that wrap some underlying object, and wish to provide access to that wrapped object.

You may also want to implement `AdapterTemplateModel`.

### Field Summary

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getWrappedObject()` Retrieves the original object wrapped by this model.

### Method Detail

#### getWrappedObject

    Object getWrappedObject()

Retrieves the original object wrapped by this model.